RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003690AFRF[All Projects] Generalpublic2017-10-21 07:122017-10-26 18:29
Reporter7ftnick 
Assigned Toreyhard 
PrioritynoneSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003690: Vehicle LODs.
DescriptionI placed 2 T-90 next to a building.
On the screenshot, my view distance is 12k and my object view distance is 5k.
(But I tested with 12k for objects and they are ultra in settings too, same effect)

The vehicles pop-up for the player only at 3200km no matter the settings.
Buildings however pop-up at whatever is the object distance setting.
There is a Slammer tank between the 2 T-90 and it pops up at about 3000.

Perhaps (if not limited by engine) it is possible to increase the draw distance of that last LOD to be consistent with static objects. I see fire and smoke at 5k, but I don't see the wreck or vehicles next to it.
It is kind of a game changer for SU-25 and the laser it uses now, and overall it is deceiving, you see a building, and you think there is no one there, an then an AA pops up in your face.
(If not possible with LODs maybe possible to decrease FOV a bit while looking at the sights when zoomed in)
TagsNo tags attached.
Is it a wish/request?No
RHS version
Arma 3 version1.76
Did you used any other mod when the error occurred?No
Which mods?
Attached Filespng file icon scrn2.png [^] (260,525 bytes) 2017-10-21 07:12

- Relationships

-  Notes
(0006834)
PuFu (administrator)
2017-10-21 10:29

lods changing and object visibility is handled by the engine (and yes it handles object differently based on their class, but that is hardcoded), there is nothing we can do about it.
(0006848)
reyhard (administrator)
2017-10-23 11:52

you can use {_x setFeatureType 2}foreach vehicles which will turn off vehicles (only vehicles - no buildings or infantry) hidding upon being too small. Maybe I wall add optional toggle in menu options for that so it's switches featureType to 2 after getting in to plane, so people who are not afraid about performance & are not using some custom view distance handlers, might turn it on.

- Issue History
Date Modified Username Field Change
2017-10-21 07:12 7ftnick New Issue
2017-10-21 07:12 7ftnick File Added: scrn2.png
2017-10-21 10:29 PuFu Note Added: 0006834
2017-10-21 10:29 PuFu Status new => closed
2017-10-21 10:29 PuFu Assigned To => PuFu
2017-10-21 10:29 PuFu Resolution open => not fixable
2017-10-23 11:52 reyhard Note Added: 0006848
2017-10-26 18:29 PuFu Assigned To PuFu => reyhard
2017-10-26 18:29 PuFu Status closed => resolved
2017-10-26 18:29 PuFu Resolution not fixable => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker